<?php

namespace Tangibledesign\Framework\Core\Settings;

class SettingKey
{
    public const PRIMARY_1_COLOR = 'primary_1_color';
    public const PRIMARY_2_COLOR = 'primary_2_color';
    public const PRIMARY_3_COLOR = 'primary_3_color';
    public const SECONDARY_1_COLOR = 'secondary_1_color';
    public const SECONDARY_2_COLOR = 'secondary_2_color';
    public const SUPPORT_1_COLOR = 'support_1_color';
    public const CARD_LABEL_COLOR = 'card_label_color';
    public const HOMEPAGE = 'homepage';
    public const LOGO = 'logo';
    public const INVERSE_LOGO = 'inverse_logo';
    public const BREADCRUMBS = 'breadcrumbs';
    public const PRETTY_URLS = 'pretty_urls';
    public const MAIL = 'mail';
    public const PHONE = 'phone';
    public const ADDRESS = 'address';
    public const MAIN_MENU = 'main_menu';
    public const STICKY_MAIN_MENU = 'sticky_main_menu';
    public const SHOW_MENU_CTA_BUTTON = 'show_menu_cta_button';
    public const MENU_CTA_BUTTON_PAGE = 'menu_cta_button_page';
    public const SHOW_MENU_ACCOUNT = 'show_menu_account';
    public const CUSTOM_MENU_CTA_TEXT = 'custom_menu_cta_text';
    public const COPYRIGHTS_TEXT = 'copyrights_text';
    public const FACEBOOK_API_KEY = 'facebook_api_key';
    public const FACEBOOK_PROFILE = 'facebook_profile';
    public const TWITTER_PROFILE = 'twitter_profile';
    public const INSTAGRAM_PROFILE = 'instagram_profile';
    public const LINKED_IN_PROFILE = 'linked_in_profile';
    public const YOU_TUBE_PROFILE = 'you_tube_profile';
    public const TIKTOK_PROFILE = 'tiktok_profile';
    public const TELEGRAM_PROFILE = 'telegram_profile';
    public const EBAY_PROFILE = 'ebay_profile';
    public const DECIMAL_SEPARATOR = 'decimal_separator';
    public const THOUSANDS_SEPARATOR = 'thousands_separator';
    public const HEADING_FONT = 'heading_font';
    public const TEXT_FONT = 'text_font';
    public const GOOGLE_MAPS_API_KEY = 'google_maps_api_key';
    public const MAP_LANGUAGE = 'map_language';
    public const MAP_ZOOM_LEVEL = 'map_zoom_level';
    public const MAP_SNAZZY = 'map_snazzy';
    public const MAP_INITIAL_LOCATION = 'map_initial_location';
    public const MAP_DEFAULT_RADIUS = 'map_default_radius';
    public const MAP_RADIUS_UNIT = 'map_radius_unit';
    public const MAP_RADIUS_UNIT_KM = 'km';
    public const MAP_RADIUS_UNIT_MILES = 'miles';
    public const MAP_PROVIDER = 'map_provider';
    public const MAP_PROVIDER_GOOGLE_MAPS = 'google_maps';
    public const MAP_PROVIDER_OPEN_STREET_MAP = 'open_street_map';
    public const MAP_PROVIDER_MAP_BOX = 'map_box';
    public const USER_REGISTRATION = 'user_registration';
    public const USER_EMAIL_CONFIRMATION = 'user_email_confirmation';
    public const USER_PHONE_VERIFICATION = 'user_phone_verification';
    public const USER_PHONE_UNIQUE = 'user_phone_unique';
    public const MODERATION = 'moderation';
    public const MODERATION_PAGE_CUSTOM_FIELDS = 'moderation_page_custom_fields';
    public const MODERATION_RE_APPROVE = 'moderation_re_approve';
    public const MESSAGE_SYSTEM = 'message_system';
    public const POLICY_LABEL = 'policy_label';
    public const NAME_REQUIRED = 'name_required';
    public const NAME_LENGTH = 'name_length';
    public const NAME_HINT = 'name_hint';
    public const DESCRIPTION_REQUIRED = 'description_required';
    public const DESCRIPTION_HINT = 'description_hint';
    public const DESCRIPTION_SIMPLE_EDITOR = 'description_simple_editor';
    public const SUBMIT_WITHOUT_LOGIN = 'submit_without_login';
    public const MODERATORS = 'moderators';
    public const PHONE_LOGIC = 'phone_logic';
    public const PHONE_COUNTRY_CODE_SELECT = 'phone_country_code_select';
    public const PHONE_DEFAULT_COUNTRY_CODE = 'phone_default_country_code';
    public const ACCOUNT_INITIAL_TAB = 'account_initial_tab';
    public const ACCOUNT_TAB_LOGIN = 'login';
    public const ACCOUNT_TAB_REGISTER = 'register';
    public const LOGIN_MIN_LENGTH = 'login_min_length';
    public const MESSAGE_SYSTEM_INITIAL_MESSAGE = 'message_system_initial_message';
    public const DISABLE_VIBER = 'disable_viber';
    public const DISABLE_WHATS_APP = 'disable_whats_app';
    public const ACCOUNT_TYPE = 'account_type';
    public const CAN_USER_CHANGE_ACCOUNT_TYPE = 'can_user_change_account_type';
    public const ENABLE_COMPANY_INFORMATION = 'enable_company_information';
    public const REQUIRE_COMPANY_INFORMATION = 'require_company_information';
    public const SHOW_REGISTER_FORM_COMPANY_INFORMATION = 'show_register_form_company_information';
    public const ENABLE_WEBSITE_FIELD = 'enable_website_field';
    public const ENABLE_PRIVATE_ACCOUNT_FULL_NAME = 'enable_private_account_full_name';
    public const REQUIRE_PRIVATE_ACCOUNT_FULL_NAME = 'require_private_account_full_name';
    public const SHOW_REGISTER_FORM_PRIVATE_ACCOUNT_FULL_NAME = 'show_register_form_private_account_full_name';
    public const ENABLE_BUSINESS_ACCOUNT_FULL_NAME = 'enable_business_account_full_name';
    public const REQUIRE_BUSINESS_ACCOUNT_FULL_NAME = 'require_business_account_full_name';
    public const SHOW_REGISTER_FORM_BUSINESS_ACCOUNT_FULL_NAME = 'show_register_form_business_account_full_name';
    public const RE_CAPTCHA = 're_captcha';
    public const RE_CAPTCHA_SITE_KEY = 're_captcha_site_key';
    public const RE_CAPTCHA_SECRET_KEY = 're_captcha_secret_key';
    public const FACEBOOK_AUTH = 'facebook_auth';
    public const FACEBOOK_AUTH_APP_ID = 'facebook_auth_app_id';
    public const FACEBOOK_AUTH_APP_SECRET = 'facebook_auth_app_secret';
    public const GOOGLE_AUTH = 'google_auth';
    public const GOOGLE_AUTH_CLIENT_ID = 'google_auth_client_id';
    public const GOOGLE_AUTH_CLIENT_SECRET = 'google_auth_client_secret';
    public const SENDER_NAME = 'sender_name';
    public const SENDER_EMAIL = 'sender_email';
    public const DISABLE_DEMO_IMPORTER = 'disable_demo_importer';
    public const FIELDS_ORDER = 'fields_order';
    public const DEFAULT_TEMPLATES = 'default_templates';
    public const FAVORITE = 'favorite';
    public const LISTING_CARD_ATTRIBUTES = 'listing_card_attributes';
    public const LISTING_CARD_LABEL = 'listing_card_label';
    public const LISTING_CARD_MAIN_VALUE_FIELDS = 'listing_card_main_value_fields';
    public const LISTING_CARD_GALLERY_FIELD = 'listing_card_gallery_field';
    public const LISTING_CARD_LOCATION = 'listing_card_location';
    public const LISTING_CARD_SHOW_USER = 'listing_card_show_user';
    public const LISTING_CARD_IMAGE_SIZE = 'listing_card_image_size';
    public const LISTING_ROW_IMAGE_SIZE = 'listing_row_image_size';
    public const LISTING_CARD_GALLERY = 'listing_card_gallery';
    public const LISTING_CARD_GALLERY_IMAGE_NUMBER = 'listivo_listing_card_max_images';
    public const ADDITIONAL_SEARCH_PAGES = 'additional_search_pages';
    public const PANEL_PAGE = 'panel_page';
    public const LOGIN_PAGE = 'login_page';
    public const REGISTER_PAGE = 'register_page';
    public const BLOG_PAGE = 'blog_page';
    public const ERROR_PAGE = 'error_page';
    public const COMPARE_PAGE = 'compare_page';
    public const EXCLUDE_FROM_SEARCH = 'exclude_from_search';
    public const CONTACT_USER_FORM = 'contact_user_form';
    public const MAIN_CATEGORY = 'main_category';
    public const DELETE_MODEL_IMAGES_ON_DELETE = 'delete_model_images_on_delete';
    public const AUTO_GENERATE_MODEL_TITLE = 'auto_generate_model_title';
    public const ENABLE_PAYMENTS = 'enable_payments';
    public const ENABLE_BUMPS = 'enable_bumps';
    public const ENABLE_FREE_LISTING = 'enable_free_listing';
    public const FREE_LISTING_EXPIRE = 'free_listing_expire';
    public const FREE_LISTING_FEATURED_EXPIRE = 'free_listing_featured_expire';
    public const FREE_LISTING_BUMPS_NUMBER = 'free_listing_bumps_number';
    public const FREE_LISTING_BUMPS_INTERVAL = 'free_listing_bumps_interval';
    public const FREE_LISTING_LABEL = 'free_listing_label';
    public const FREE_LISTING_TEXT = 'free_listing_text';
    public const ENABLE_REGISTER_PACKAGE = 'enable_register_package';
    public const REGISTER_PACKAGE_NUMBER = 'register_package_number';
    public const REGISTER_PACKAGE_EXPIRE = 'register_package_expire';
    public const REGISTER_PACKAGE_FEATURED_EXPIRE = 'register_package_featured_expire';
    public const REGISTER_PACKAGE_BUMPS_NUMBER = 'register_package_bumps_number';
    public const REGISTER_PACKAGE_BUMPS_INTERVAL = 'register_package_bumps_interval';
    public const PAYMENT_PACKAGES_ORDER = 'payment_packages_order';
    public const BUMPS_PAYMENT_PACKAGES_ORDER = 'bumps_payment_packages_order';
    public const SUBSCRIPTIONS_ORDER = 'subscriptions_order';
    public const KEYWORD_SEARCH_DESCRIPTION = 'keyword_search_description';
    public const KEYWORD_SEARCH_TERMS = 'keyword_search_terms';
    public const SEARCH_DEFAULT_TITLE = 'search_default_title';
    public const SEARCH_DEFAULT_DESCRIPTION = 'search_default_description';
    public const SEARCH_TITLE_FIELDS = 'search_title_fields';
    public const SECOND_SEARCH_TITLE_FIELDS = 'second_search_title_fields';
    public const SEARCH_OVERRIDE_TITLE_TAG = 'search_override_title_tag';
    public const BORDER_RADIUS = 'border_radius';
    public const HEADING_STYLE = 'heading_style';
    public const LEGACY_MODE = 'legacy_mode';
    public const COMPARE_MODELS = 'compare_models';
    public const QUICK_VIEW = 'quick_view';
    public const TWILIO_ACCOUNT_SID = 'twilio_account_sid';
    public const TWILIO_AUTH_TOKEN = 'twilio_auth_token';
    public const TWILIO_PHONE_NUMBER = 'twilio_phone_number';
    public const TWILIO_VERIFY_SERVICE_SID = 'twilio_verify_service_sid';
    public const ENABLE_SUBSCRIPTIONS = 'enable_subscriptions';
    public const LOGIN_REDIRECT = 'login_redirect';
    public const REGISTER_REDIRECT = 'register_redirect';
    public const SOCIAL_LOGIN_REDIRECT = 'social_login_redirect';
    public const SOCIAL_REGISTER_REDIRECT = 'social_register_redirect';
    public const STRIPE_ENABLED = 'stripe_enabled';
    public const STRIPE_PUBLISHABLE_KEY = 'stripe_publishable_key';
    public const STRIPE_SECRET_KEY = 'stripe_secret_key';
    public const STRIPE_WEBHOOK_SECRET = 'stripe_webhook_secret';
    public const STRIPE_REQUIRE_BILLING_ADDRESS_COLLECTION = 'stripe_require_billing_address_collection';
    public const STRIPE_ALLOW_PROMOTION_CODES = 'stripe_allow_promotion_codes';
    public const ENABLE_FREE_SUBSCRIPTION = 'enable_free_subscription';
    public const FREE_SUBSCRIPTION_NAME = 'free_subscription_name';
    public const FREE_SUBSCRIPTION_LABEL = 'free_subscription_label';
    public const FREE_SUBSCRIPTION_TEXT = 'free_subscription_text';
    public const FREE_SUBSCRIPTION_NUMBER = 'free_subscription_number';
    public const FREE_SUBSCRIPTION_EXPIRE = 'free_subscription_expire';
    public const FREE_SUBSCRIPTION_FEATURED_EXPIRE = 'free_subscription_featured_expire';
    public const FREE_SUBSCRIPTION_BUMPS_NUMBER = 'free_subscription_bumps_number';
    public const FREE_SUBSCRIPTION_BUMPS_INTERVAL = 'free_subscription_bumps_interval';
    public const STRIPE_CURRENCY = 'stripe_currency';
    public const MAIL_FOOTER = 'mail_footer';
    public const DISABLE_PRIVATE_ROLE_MODELS = 'disable_private_role_models';
    public const DISABLE_BUSINESS_ROLE_MODELS = 'disable_business_role_models';
    public const LISTING_EXPIRE_AFTER = 'listing_expire_after';
    public const LISTING_TERMS_AND_CONDITIONS = 'listing_terms_and_conditions';

    public const MARKETING_CONSENTS = 'marketing_consents';
    public const MARKETING_CONSENTS_LABEL = 'marketing_consents_label';
    public const MARKETING_CONSENTS_REQUIRED = 'marketing_consents_required';
    public const MARKETING_CONSENTS_DEFAULT = 'marketing_consents_default';

    public const REVIEWS_ENABLED = 'reviews_enabled';
    public const REVIEWS_MODERATION_ENABLED = 'reviews_moderation_enabled';
    public const REVIEWS_THUMBS_ENABLED = 'reviews_thumbs_enabled';
    public const REVIEWS_IMAGES_ENABLED = 'reviews_images_enabled';
    public const REVIEWS_IMAGES_NUMBER = 'reviews_images_number';
    public const REVIEWS_IMAGES_SIZE = 'reviews_images_size';
    public const REVIEWS_ALLOW_GUESTS = 'reviews_allow_guests';
    public const REVIEW_MIN_LENGTH = 'review_min_length';
    public const REVIEW_MAX_LENGTH = 'review_max_length';
    public const REVIEW_CUTOFF_LENGTH = 'review_cutoff_length';
    public const DELETE_REVIEW_IMAGES_ON_DELETE = 'delete_review_images_on_delete';
    public const SINGLE_REVIEW_PER_MODEL = 'single_review_per_model';

    public const ACTIVATE_CHAT_APPS_ON_REGISTRATION = 'activate_chat_apps_on_registration';

    public const SUBSCRIPTION_RENEWAL_POLICY = 'subscription_renewal_policy';
    public const SUBSCRIPTION_RENEWAL_POLICY_ACCUMULATE = 'accumulate';
    public const SUBSCRIPTION_RENEWAL_POLICY_RESET = 'reset';

    public const ENABLE_CACHE = 'enable_cache';
    public const CACHE_DURATION = 'cache_duration';
}